#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	gdk-pixbuf
Version		:	2.42.10
Release		:	17.2.0.rel%{?dist}
Summary		:	An image loading library
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	http://ftp.gnome.org/pub/gnome/sources/gdk-pixbuf/

Source0		:	%{name}-%{version}.tar.xz
#-----------------------------------------------------------------------------
BuildRequires	:	docbook-xsl
BuildRequires	:	gi-docgen
BuildRequires	:	glib-devel
BuildRequires	:	gobject-introspection
BuildRequires	:	gtk-doc
BuildRequires	:	libjpeg-turbo-devel
BuildRequires	:	libpng-devel
BuildRequires	:	libtiff
BuildRequires	:	libxslt
BuildRequires	:	meson
BuildRequires	:	shared-mime-info
BuildRequires	:	xorg-libX11

#-----------------------------------------------------------------------------
%description
gdk-pixbuf is an image loading library that can be extended by loadable
modules for new image formats. It is used by toolkits such as GTK+ or
clutter.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc COPYING NEWS README.md
%{_includedir}/%{name}-2.0/%{name}*/*.h
%{_prefix}/lib/%{name}-2.0/2*/loaders.cache
%{_bindir}/%{name}*
%{_libdir}/%{name}-2.0/2*/loaders/libpixbufloader-*.so
%{_libdir}/libgdk_pixbuf-2.0.so*
%{_libdir}/pkgconfig/%{name}*.pc
%{_libdir}/girepository-1.0/GdkPixbuf-*.typelib
%{_libdir}/girepository-1.0/GdkPixdata-*.typelib
%{_datadir}/gir-1.0/GdkPixbuf-*.gir
%{_datadir}/gir-1.0/GdkPixdata-*.gir
%{_datadir}/locale/*/*/*.mo
%{_datadir}/thumbnailers/%{name}-thumbnailer.thumbnailer
%{_mandir}/man1/*.1.gz

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig
%{name}-query-loaders > %{_prefix}/lib/%{name}-2.0/2.10.0/loaders.cache
%{name}-query-loaders --update-cache

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

meson	setup						\
	--buildtype=release				\
	--wrap-mode=nofallback				\
	--prefix=%{_prefix}				\
	--libdir=%{_libdir}				\
	-D gio_sniffing=false				\
	-D gtk_doc=false				\
	-D installed_tests=false			\
	-D jpeg=enabled					\
	-D man=true					\
	-D png=enabled					\
	-D relocatable=false				\
	-D tiff=enabled					\
	-D native_windows_loaders=false			\
	_bld						\

meson	compile						\
	-C _bld						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

meson	install						\
		-C _bld					\
		--destdir=%{buildroot}			\

%{__mkdir_p} %{buildroot}%{_prefix}/lib/%{name}-2.0/2.10.0
touch %{buildroot}%{_prefix}/lib/%{name}-2.0/2.10.0/loaders.cache

#-----------------------------------------------------------------------------
%changelog
